This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 1146275 - regression setting root password with virt-builder/virt-customize
Summary: regression setting root password with virt-builder/virt-customize
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libguestfs
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pino Toscano
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1147065
TreeView+ depends on / blocked
 
Reported: 2014-09-24 22:21 UTC by Cole Robinson
Modified: 2014-09-29 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1147065 (view as bug list)
Environment:
Last Closed: 2014-09-29 12:38:36 UTC


Attachments (Terms of Use)
Output from: sudo virt-customize -v -x --password root:password:1234AA -a fedora-20.img (79.97 KB, text/plain)
2014-09-24 22:25 UTC, Cole Robinson
no flags Details

Description Cole Robinson 2014-09-24 22:21:22 UTC
Setting the root password with virt-customize and virt-builder doesn't seem to work with libguestfs-1.27.50. Tested against a virt-builder fedora-20 image.

It worked last week, so I downgraded arbitrarily to libguestfs-1.27.36, tried setting a password, and it worked. yum updated to latest, tried setting a password, and it failed, and the old password didn't work either.

Comment 1 Cole Robinson 2014-09-24 22:25:22 UTC
Created attachment 940938 [details]
Output from: sudo virt-customize -v -x --password root:password:1234AA -a fedora-20.img

Comment 2 Richard W.M. Jones 2014-09-26 18:38:25 UTC
Something to do with now using Augeas to edit the /etc/shadow file?

Comment 3 Pino Toscano 2014-09-29 11:58:54 UTC
(In reply to Richard W.M. Jones from comment #2)
> Something to do with now using Augeas to edit the /etc/shadow file?

Indeed, the way Augeas writes the new file loses the SELinux context. Luckly we have the API for copying attributes.

Patches posted:
  https://www.redhat.com/archives/libguestfs/2014-September/msg00281.html
  https://www.redhat.com/archives/libguestfs/2014-September/msg00282.html


Note You need to log in before you can comment on or make changes to this bug.